<?php
/*-----------------------------------------------------------------------------------------
  Program	: gLight (gLight is the PHP Framework.)
  Author	: Suk-Kyu Yoon, Hyoung-Jun Lee
  License	: MIT license (freeware)
  Homepage	: http://ysksoft.com
-------------------------------------------------------------------------------------------
  Copyright (c) 2009 gLight

  Permission is hereby granted, free of charge, to any person obtaining a copy
  of this software and associated documentation files (the "Software"), to deal
  in the Software without restriction, including without limitation the rights
  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software, and to permit persons to whom the Software is
  furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
  THE SOFTWARE.
-------------------------------------------------------------------------------------------*/
// gLight name
define('__gLight_NAME__', 'gLight');

// gLight version
define('__gLight_VERSION__', '0.0.1');

// gLight path
define('__gLight_ROOT_PATH__', $_SERVER['DOCUMENT_ROOT'].'/'.__gLight_NAME__);
define('__gLight_MODULE_PATH__', __gLight_ROOT_PATH__.'/modules');
define('__gLight_FILE_DATA_PATH__', __gLight_ROOT_PATH__.'/FILE_DATA');
define('__gLight_CACHE_PATH__', __gLight_ROOT_PATH__.'/FILE_DATA/cache');
define('__gLight_TEMPLATE_COMPILE_PATH__', __gLight_ROOT_PATH__.'/FILE_DATA/template_compile');
define('__gLight_UPLOAD_FILE_PATH__', __gLight_ROOT_PATH__.'/FILE_DATA/upload_file');

// gLight debug IP
define('__gLight_DEBUG_IP__', '127.0.0.1');

// gLight File Upload Config
define('__gLight_UPLOAD_FILE_SIZE__', 10000);
define('__gLight_NOT_UPLOAD_FILE_EXT__', '.php||.php3||.phps||.inc||.htm||.html||.js||.css');

// gLight execute
if(is_dir(__gLight_ROOT_PATH__)) {
	$class_gLight_file = __gLight_ROOT_PATH__.'/class.'.__gLight_NAME__.'.php';
	if(file_exists($class_gLight_file)) {
		include_once $class_gLight_file;
		gLight::setDebug(__gLight_DEBUG_IP__);
		gLight::setMakeDir();
	} else {
		die('Not Found gLight Class File');
	}
} else {
	die('Not Found gLight Folder');
}
?>