<?php
/*-----------------------------------------------------------------------------------------
  Program	: gLight (gLight is the PHP Framework.)
  Author	: Suk-Kyu Yoon, Hyoung-Jun Lee
  License	: MIT license (freeware)
  Homepage	: http://ysksoft.com
-------------------------------------------------------------------------------------------
  Copyright (c) 2009 gLight

  Permission is hereby granted, free of charge, to any person obtaining a copy
  of this software and associated documentation files (the "Software"), to deal
  in the Software without restriction, including without limitation the rights
  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software, and to permit persons to whom the Software is
  furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
  THE SOFTWARE.
-------------------------------------------------------------------------------------------*/
class gLight_TPL extends gLight
{
	protected static $template_name = null;
	protected static $template_compile_path = null;

	private static $template_driver = null;

	public static function init($template, $template_compile_path=null)
	{
		self::$template_name = $template;
		self::$template_compile_path = ($template_compile_path) ? $template_compile_path : parent::getDefine('TEMPLATE_COMPILE');
		self::$template_driver = 'gLight_TPL_'.self::$template_name;

		$template_driver_file = parent::getDefine('MODULE').'/TPL/class.'.self::$template_driver.'.php';
		if(file_exists($template_driver_file)) {
			if(!class_exists(self::$template_driver)) {
				include_once $template_driver_file;
			}
		} else {
			parent::getErrorMsg('Not Found gLight Tempalte Driver');
		}

		parent::getCallMethod(self::$template_driver.'::init');
	}

	protected static function getTemplateName()
	{
		return self::$template_name;
	}

	protected static function getTemplateCompilePath()
	{
		return self::$template_compile_path;
	}

	public static function assign($tpl_key, $tpl_value=null)
	{
		parent::getCallMethod(self::$template_driver.'::setAssign', array($tpl_key, $tpl_value));
	}

	public static function display($tpl_file)
	{
		parent::getCallMethod(self::$template_driver.'::getDisplay', array($tpl_file));
	}
}
?>